Skip to main content
GET
List campaign enrollments

Authorizations

Authorization
string
header
required

API key in the format avoca_<64 hex characters>

Path Parameters

teamId
integer
required

The team ID

Query Parameters

start_date
string<date-time>
required

Include enrollments created on/after this ISO 8601 timestamp.

end_date
string<date-time>
required

Include enrollments created before this ISO 8601 timestamp.

campaign_status
string
default:ACTIVE,DRAINING,SCHEDULED,COMPLETED

Comma-separated campaign statuses (default ACTIVE,DRAINING,SCHEDULED,COMPLETED).

campaign_id
string

Comma-separated campaign ids to narrow to (max 200). Discover ids with the campaigns endpoint.

campaign_type
string

Comma-separated workflow types to narrow to, e.g. UNSOLD_ESTIMATES (max 20).

cursor
string

Opaque pagination cursor from the previous response's pagination.cursor

limit
integer
default:50

Results per page (default 50, max 500)

Required range: x <= 500

Response

Paginated campaign enrollments

data
object[]
pagination
object
meta
object